summaryrefslogtreecommitdiff
path: root/setup/win32/static/getfiles.sh
diff options
context:
space:
mode:
authorstephanchrst <stephanchrst@gmail.com>2022-05-10 21:51:50 +0700
committerstephanchrst <stephanchrst@gmail.com>2022-05-10 21:51:50 +0700
commit3751379f1e9a4c215fb6eb898b4ccc67659b9ace (patch)
treea44932296ef4a9b71d5f010906253d8c53727726 /setup/win32/static/getfiles.sh
parent0a15094050bfde69a06d6eff798e9a8ddf2b8c21 (diff)
initial commit 2
Diffstat (limited to 'setup/win32/static/getfiles.sh')
-rwxr-xr-xsetup/win32/static/getfiles.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/setup/win32/static/getfiles.sh b/setup/win32/static/getfiles.sh
new file mode 100755
index 00000000..4975efa3
--- /dev/null
+++ b/setup/win32/static/getfiles.sh
@@ -0,0 +1,25 @@
+#!/usr/bin/env bash
+# apt-get install p7zip-full
+set -e
+
+mkdir -p wkhtmltopdf less
+TEMPDIR=`mktemp -d -t odoo_windows_build_XXXX`
+function cleanup {
+ rm -rf $TEMPDIR
+}
+trap cleanup EXIT
+
+# postgresql
+wget -q http://get.enterprisedb.com/postgresql/postgresql-9.5.4-2-windows.exe
+
+# wkhtmltopdf
+wget -q -P $TEMPDIR http://download.gna.org/wkhtmltopdf/0.12/0.12.1/wkhtmltox-0.12.1.2_msvc2013-win32.exe
+7z x -o$TEMPDIR $TEMPDIR/wkhtmltox-0.12.1.2_msvc2013-win32.exe
+cp $TEMPDIR/bin/wkhtmltopdf.exe ./wkhtmltopdf
+
+# less
+pushd less
+wget -q https://github.com/duncansmart/less.js-windows/releases/download/v2.5.1/less.js-windows-v2.5.1a.zip
+unzip less.js-windows-v2.5.1a.zip
+rm less.js-windows-v2.5.1a.zip
+